MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000181SoldatGameplaypublic2012-04-13 18:322014-02-05 01:35
Reporterasdf 
Assigned Toskoskav 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version1.6.2 
Target VersionFixed in Version1.6.7 
Summary0000181: Disabling weapon's menu not always working
DescriptionActually, it doesn't working if you have only one weapon with you (and nothing on your back/in hands). It's kinda annoying when you don't have secondary weapon (you can disable/enable menu only when you are dead)
Steps To Reproduce1. Start a game
2. Take any weapons
3. Drop one of them
4. Try to enable/disable weapon's menu
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001417)
asdf (reporter)
2012-04-13 18:34

Argh, forgot to add that you can disable/enable menu only when you are dead OR when you pick up 2nd weapon.
(0001418)
SyavX (reporter)
2012-04-15 17:54
edited on: 2012-04-27 11:12

I confirm this bug. It occurs in 1.6.3 beta1 too.

edit:
Quote from http://forums.soldat.pl/index.php?topic=41781.msg505129#msg505129 [^]

Issue 0000181
1. It is not possible to toggle a "Weapons menu" state (disabled/active) when player is alive and have less then two weapons.

Exceptions (didn't test on dedicated server):
a. when all secondaries are disabled and player have a single weapon (one of primaries) then toggle works only while this weapon is active (in hands).
b. when all primaries are disabled and player have a single weapon (one of secondaries) then toggle works while secondary weapon is NOT active (hands are free).

(0001426)
homerofgods (updater)
2012-04-26 15:39

True. If you drop one of your weapons you can't enable/disable
(0001454)
Shoozza (administrator)
2012-05-08 14:03

This is a side effect. It was intended to stop the player from disabling the weapons menu before he had 2 weapons chosen.

- Issue History
Date Modified Username Field Change
2012-04-13 18:32 asdf New Issue
2012-04-13 18:34 asdf Note Added: 0001417
2012-04-15 17:54 SyavX Note Added: 0001418
2012-04-26 15:39 homerofgods Note Added: 0001426
2012-04-27 11:12 SyavX Note Edited: 0001418 View Revisions
2012-05-08 14:03 Shoozza Note Added: 0001454
2012-05-08 14:03 Shoozza Status new => confirmed
2014-02-05 01:35 skoskav Status confirmed => resolved
2014-02-05 01:35 skoskav Fixed in Version => 1.6.7
2014-02-05 01:35 skoskav Resolution open => fixed
2014-02-05 01:35 skoskav Assigned To => skoskav


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker